******************************************************************************
*
* CyberSound: 14 Bit sound driver
*
* (c) 1995 by Christian Buchner
*
******************************************************************************
*
* RomTag.asm
*

VERSION		EQU	1
REVISION	EQU	1

;---------------------------------------------------------------------------

	INCLUDE "exec/types.i"
	INCLUDE "exec/libraries.i"
	INCLUDE "exec/lists.i"
	INCLUDE "exec/alerts.i"
	INCLUDE "exec/initializers.i"
	INCLUDE "exec/resident.i"
	INCLUDE "libraries/dos.i"

;---------------------------------------------------------------------------

	XREF	_LibName
	XREF	_LibId
	XDEF	_LibFuncTable
	XDEF	_LibDataTable
	XREF	_LibInitTable

	XREF	_LibInit
	XREF	_LibOpen
	XREF	_LibClose
	XREF	_LibExpunge
	XREF	_LibReserved

	XREF	_SetBuffers
	XREF	_StreamFormat
	XREF	_AskFrequency
	XREF	_ProvideStream
	XREF	_FlushStream
	XREF	_PauseStream
	XREF	_ResumeStream
	XREF	_SD_Lock
	XREF	_SD_Unlock

;---------------------------------------------------------------------------

	SECTION	Code

; First executable location, must return an error to the caller

	moveq   #-1,d0
	rts

;-----------------------------------------------------------------------

_ROMTAG
	DC.W	RTC_MATCHWORD	; UWORD RT_MATCHWORD
	DC.L	_ROMTAG		; APTR  RT_MATCHTAG
	DC.L	_ENDCODE	; APTR  RT_ENDSKIP
	DC.B	RTF_AUTOINIT	; UBYTE RT_FLAGS
	DC.B	VERSION		; UBYTE RT_VERSION
	DC.B	NT_LIBRARY	; UBYTE RT_TYPE
	DC.B	0		; BYTE  RT_PRI
	DC.L	_LibName	; APTR  RT_NAME
	DC.L	_LibId		; APTR  RT_IDSTRING
	DC.L	_LibInitTable	; APTR  RT_INIT

_ENDCODE

V_DEF	MACRO
	DC.W	\1+(*-_LibFuncTable)
	ENDM

_LibFuncTable
	DC.W	-1
	V_DEF	_LibOpen
	V_DEF	_LibClose
	V_DEF	_LibExpunge
	V_DEF	_LibReserved

	V_DEF	_SetBuffers
	V_DEF	_StreamFormat
	V_DEF	_AskFrequency
	V_DEF	_ProvideStream
	V_DEF	_FlushStream
	V_DEF	_PauseStream
	V_DEF	_ResumeStream
	V_DEF	_SD_Lock
	V_DEF	_SD_Unlock
	DC.W   -1

_LibDataTable
	INITBYTE	LN_TYPE,NT_LIBRARY
	INITLONG	LN_NAME,_LibName
	INITBYTE	LIB_FLAGS,(LIBF_SUMUSED!LIBF_CHANGED)
	INITWORD	LIB_VERSION,VERSION
	INITWORD	LIB_REVISION,REVISION
	INITLONG	LIB_IDSTRING,_LibId
	DC.W		0

	CNOP    0,4

;-----------------------------------------------------------------------

	END
